local monocle = require("#monocle")

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin()
  disableMovement()
  disableRetry()
  player.ForceCameraUpdate = false
  wait(2)
  say("Donk_Ch1_Intro")
  engine.Scene:NextColorGrade("Donker19/LackOfInsiration/0_BlackFade")
  wait(2)
  setFlag("donk_FadeInPlanet", true)
  engine.Scene:NextColorGrade("reflection")
  wait(1)
  say("Donk_Ch1_Intro2")
  enablePause()
  enableMovement()
end

function onEnd(room, wasSkipped)
  enableMovement()
  engine.Scene:NextColorGrade("reflection")
  setFlag("donk_FadeInPlanet", true)
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  engine.Scene:NextColorGrade("none")
  getLevel():ResetZoom()
  enableMovement()
end